com.amazon.redshift.jdbc

## Enum MetadataAPIHelper.GetBestRowIdentifier_Metadata

- java.lang.Object
- - java.lang.Enum<MetadataAPIHelper.GetBestRowIdentifier_Metadata>
  - - com.amazon.redshift.jdbc.MetadataAPIHelper.GetBestRowIdentifier_Metadata

All Implemented Interfaces:
  MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetBestRowIdentifier_Metadata>, Serializable, Comparable<MetadataAPIHelper.GetBestRowIdentifier_Metadata>

Enclosing class:
  MetadataAPIHelper

    public static enum MetadataAPIHelper.GetBestRowIdentifier_Metadata
    extends Enum<MetadataAPIHelper.GetBestRowIdentifier_Metadata>
    implements MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetBestRowIdentifier_Metadata>

Define return columns for JDBC API getBestRowIdentifier according to the spec

See Also:
  JDBC Specification

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BUFFER_LENGTH`
`COLUMN_NAME`
`COLUMN_SIZE`
`DATA_TYPE`
`DECIMAL_DIGITS`
`PSEUDO_COLUMN`
`SCOPE`
`TYPE_NAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getIndex()`
`String` `getName()`
`int` `getOidType()`
`static MetadataAPIHelper.GetBestRowIdentifier_Metadata` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetadataAPIHelper.GetBestRowIdentifier_Metadata[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SCOPE

    public static final MetadataAPIHelper.GetBestRowIdentifier_Metadata SCOPE

#### COLUMN_NAME

    public static final MetadataAPIHelper.GetBestRowIdentifier_Metadata COLUMN_NAME

#### DATA_TYPE

    public static final MetadataAPIHelper.GetBestRowIdentifier_Metadata DATA_TYPE

#### TYPE_NAME

    public static final MetadataAPIHelper.GetBestRowIdentifier_Metadata TYPE_NAME

#### COLUMN_SIZE

    public static final MetadataAPIHelper.GetBestRowIdentifier_Metadata COLUMN_SIZE

#### BUFFER_LENGTH

    public static final MetadataAPIHelper.GetBestRowIdentifier_Metadata BUFFER_LENGTH

#### DECIMAL_DIGITS

    public static final MetadataAPIHelper.GetBestRowIdentifier_Metadata DECIMAL_DIGITS

#### PSEUDO_COLUMN

    public static final MetadataAPIHelper.GetBestRowIdentifier_Metadata PSEUDO_COLUMN

### Method Detail

#### values

    public static MetadataAPIHelper.GetBestRowIdentifier_Metadata[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetadataAPIHelper.GetBestRowIdentifier_Metadata c : MetadataAPIHelper.GetBestRowIdentifier_Metadata.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetadataAPIHelper.GetBestRowIdentifier_Metadata valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getIndex

    public int getIndex()

Specified by:
  `getIndex` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetBestRowIdentifier_Metadata>`

#### getName

    public String getName()

Specified by:
  `getName` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetBestRowIdentifier_Metadata>`

#### getOidType

    public int getOidType()

Specified by:
  `getOidType` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetBestRowIdentifier_Metadata>`